import request from '@/utils/request'

// 查询客服组分页列表
export function listCustomerRole(query) {
  return request({
    url: '/app/cusrole/pageList',
    method: 'get',
    params: query
  })
}

// 查询客服组下拉选项
export function listCustomerRoleOptions() {
  return request({
    url: '/app/cusrole/pageList',
    method: 'get',
    params: { pageNum: 1, pageSize: 999 }
  })
}

// 新增客服组
export function addCustomerRole(data) {
  return request({
    url: '/app/cusrole',
    method: 'post',
    data: data
  })
}

// 修改客服组
export function updateCustomerRole(data) {
  return request({
    url: '/app/cusrole',
    method: 'put',
    data: data
  })
}
